API REFERENCEv1
List Campaign Messages
GET
https://api2.protexting.com/v1/mms-toscreen/get-messages⌘
Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →
Endpoint
https://api2.protexting.com/v1/mms-to-screen/get-messages?access_token=<your_access_token>&campaign_id=<campaign_id>Response parameters:
| Parameter | Description |
|---|---|
| Id | Message Id, INTEGER |
| Mobile | Phone Number, STRING |
| Message | Message, STRING |
| Type | Type of message, STRING |
| Status_Id | Status of message, INTEGER |
| Status_Description | Status of message, STRING |
| Resource_File | URL to resource file, STRING |
| Resource_Type | Resource type, STRING |
| Date_Received | Date, STRING |
Example Request:
Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \ "https://api2.protexting.com/v1/mms-toscreen/get-messages?access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \ --header 'Accept: application/json'Example Response Headers:
Example
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
X-Rate-Limit-Limit: 60
X-Rate-Limit-Remaining: 59
X-Rate-Limit-Reset: 0
X-Pagination-Total-Count: 10
X-Pagination-Page-Count: 1
X-Pagination-Current-Page: 1
X-Pagination-Per-Page: 100
Link: <https://api2.protexting.com/v1/mms-to-screen/get-messages?access_token=your_access_token&campaign_id=campaign_id>; rel=self
Vary: Accept-Encoding,User-Agent
Content-Length: 475
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: application/json; charset=UTF-8Example Response Body:
JSON response example
[
{ "Id":100,"Mobile":"1234567890", "Message":"Test Message", "Keyword":"Mykeyword", "Type":"Sms", "Status_Id":1, "Status_Description":"Pending", "Resource_File":"", "Resource_Type":"", "Date_Received":"2016-01-01 01:00:00" }, { "Id":101,"Mobile":"1234567890", "Message":"Test Message 2", "Keyword":"Mykeyword2", "Type":"Sms", "Status_Id":1, "Status_Description":"Pending", "Resource_File":"", "Resource_Type":"", "Date_Received":"2016-01-01 02:00:00" }
]XML response example
<response>
<item> <Id>100</Id> <Mobile>1234567890</Mobile> <Message>Test Message</Message> <Keyword>Mykeyword</Keyword> <Type>Sms</Type> <Status_Id>1</Status_Id> <Status_Description>Pending</Status_Description> <Resource_File/> <Resource_Type/> <Date_Received>2016-01-01 01:00:00</Date_Received> </item> <item> <Id>101</Id> <Mobile>1234567890</Mobile> <Message>Test Message 2</Message> <Keyword>Mykeyword 2</Keyword> <Type>Sms</Type> <Status_Id>1</Status_Id> <Status_Description>Pending</Status_Description> <Resource_File/> <Resource_Type/> <Date_Received>2016-01-01 02:00:00</Date_Received> </item></response>HTTP Status Codes:
The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml
Error Codes:
Error Codes and Examples here »
Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.